import { ChangeEvent, ComponentPropsWithoutRef, ReactElement } from 'react';
import PropTypes from 'prop-types';
export interface Props extends ComponentPropsWithoutRef<'input'> {
    initialTime: string;
    input?: ReactElement;
    onChange?: (event: ChangeEvent<HTMLInputElement>) => void;
}
declare const TimeInput: {
    ({ initialTime, input, onChange, ...props }: Props): JSX.Element;
    propTypes: {
        initialTime: PropTypes.Validator<string>;
        input: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
    };
};
export default TimeInput;
